| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | List of all members
globjects::AbstractLogHandler Class Referenceabstract

Abstract interface to handle LogMessages. More...

`#include <globjects/include/globjects/base/AbstractLogHandler.h>`

Inheritance diagram for globjects::AbstractLogHandler:

## Public Member Functions
virtual | ~AbstractLogHandler ()
virtual void | handle (const LogMessage &message)=0

## Detailed Description

Abstract interface to handle LogMessages.

globejcts uses a global logging handler to dispatch all generated LogMessages. This is the abstract interface for handling them. Subclass this class if you wish to replace the global default logging behavior in globjects, which is to write everything to stdout.

See also
  setLoggingHandler
  logging.h

## Constructor & Destructor Documentation

## ◆ ~AbstractLogHandler()

virtual globjects::AbstractLogHandler::~AbstractLogHandler | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ handle()

virtual void globjects::AbstractLogHandler::handle | ( | const LogMessage & | message | ) |
| pure virtual

Implemented in globjects::ConsoleLogger.

The documentation for this class was generated from the following file:

- AbstractLogHandler.h